package com.cim.idm.wmspackage.code.management.data;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class ReasonCode extends FieldAccessor implements DataInfo<ReasonCodeKey>{
	
	private ReasonCodeKey key;

	private String description;
	private String superReasonCode;
	private int	levelNo;
	private String availability;
	private String seq;
	private String codecategory;
	
	@Override
	public ReasonCodeKey getKey() {
		return key;
	}

	@Override
	public void setKey(ReasonCodeKey keyInfo) {
		this.key = keyInfo;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getSuperReasonCode() {
		return superReasonCode;
	}

	public void setSuperReasonCode(String superReasonCode) {
		this.superReasonCode = superReasonCode;
	}

	public int getLevelNo() {
		return levelNo;
	}

	public void setLevelNo(int levelNo) {
		this.levelNo = levelNo;
	}

	public String getAvailability() {
		return availability;
	}

	public void setAvailability(String availability) {
		this.availability = availability;
	}

	public String getSeq() {
		return seq;
	}

	public void setSeq(String seq) {
		this.seq = seq;
	}

	public String getCodecategory() {
		return codecategory;
	}

	public void setCodecategory(String codecategory) {
		this.codecategory = codecategory;
	}
	
}
